package com.ibm.btools.te.ilm.heuristics.helper;
/*
* Licensed Materials - Property of IBM
* 5724-I74, 5724-I75
*  Copyright IBM Corporation 2008, 2009. All rights reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


import java.util.ArrayList;
import java.util.List;

public class VMMPersonEntry{

	public static final String copyright = "Licensed Material - Property of IBM " + " 5724-I74, 5724-I75 " + "(C) Copyright IBM Corporation 2008, 2009. All Rights Reserved. " + "U.S. Government Users Restricted Rights - Use, duplication or disclosure " + "restricted by GSA ADP Schedule Contract with IBM Corp.".intern(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
	
	
	public VMMPersonEntry(){
		
	}
	
	String personID;
	String lastName;
	String firstName;
	String email;
	String resourceName;
	boolean missingMandatoryAttribute = false;
	boolean lastNameSetToDefault = false;
	boolean firstNameSetToDefault = false;
	String[] param;
	public List<String> roles = new ArrayList<String>();
	
	public String getVMMResourceName(){
		return this.resourceName;
	}
	
	public boolean isVMMMissingMandatoryAttribute(){
		return this.missingMandatoryAttribute;
	}
	
	public void setVMMMissingMandatoryAttribute(String resourceName) {
		this.missingMandatoryAttribute = true;
		this.resourceName = resourceName;
	}
	
	public String getVMMPersonID(){
		return this.personID;
	}
	
	public void setVMMPersonID(String personID){
		this.personID = personID;
	}
	
	public String getVMMlastName(){
		return this.lastName;
	}
	
	public void setVMMlastName(String lastName){
		this.lastName = lastName;
	}
	
	public String getVMMfirstName(){
		return this.firstName;
	}
	
	public void setVMMfirstName(String firstName){
		this.firstName = firstName;
	}
	
	public String getVMMemail(){
		return this.email;
	}
	
	public void setVMMemail(String email){
		this.email = email;
	}
	
	public List getVMMroles(){
		return this.roles;
	}
	
	public void setVMMroles(List<String> roles){
		this.roles = roles;
	}
	
	public boolean isVMMfirstNameDefault(){
		return this.firstNameSetToDefault;
	}
	
	public void setVMMFirstNameToDefault(String resourceName) {
		firstNameSetToDefault = true;
		this.resourceName = resourceName;
	}
	
	public boolean isVMMLastNameDefault(){
		return this.lastNameSetToDefault;
	}
	
	public void setVMMLastNameToDefault(String resourceName) {
		lastNameSetToDefault = true;
		this.resourceName = resourceName;
	}

	
}
