package com.ibm.btools.te.ilm.heuristics.scdl.util;
/*
* Licensed Materials - Property of IBM
* 5724-I74, 5724-I75
*  Copyright IBM Corporation 2003, 2009. All rights reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/
import org.eclipse.emf.ecore.impl.EObjectImpl;

import com.ibm.wsspi.sca.scdl.Component;

/**
 * This class serves as base for handling JavaImplementation. 
 */
public class JavaImplementation extends EObjectImpl {

	public static final String copyright = "Licensed Material - Property of IBM " + " 5724-I74, 5724-I75 " + "(C) Copyright IBM Corporation 2008, 2009. All Rights Reserved. " + "U.S. Government Users Restricted Rights - Use, duplication or disclosure " + "restricted by GSA ADP Schedule Contract with IBM Corp.".intern(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$


	/**
	 * Default constructor
	 */
	public JavaImplementation() {
		super();
	}
	
	private String javaImplementation ;
	private Component component;
	
	
	/**
	 * @return Returns the javaImplementation.
	 */
	public String getJavaImplementation() {
		return javaImplementation;
	}
	/**
	 * @param javaImplementation The javaImplementation to set.
	 */
	public void setJavaImplementation(String javaImplementation) {
		this.javaImplementation = javaImplementation;
	}
	/**
	 * @return Returns the component.
	 */
	public Component getComponent() {
		return component;
	}
	/**
	 * @param component The component to set.
	 */
	public void setComponent(Component component) {
		this.component = component;
	}
}
