@echo off

:doVerify
echo Performing existance verificaiton...
if not exist ..\plugins\com.ibm.btools.te.ilm_6.2.101.v20090724_1314\nul goto existError
if not exist ..\plugins\com.ibm.btools.blm.ie_6.2.101.v20090724_1314\nul goto existError
if not exist ..\features\com.ibm.btools.blm.ui.feature_6.2.101.v20090724_1314\nul goto existError

:doRollback
echo Performing roll-back...
rmdir /s /q ..\plugins\com.ibm.btools.te.ilm_6.2.101.v20090724_1314
rmdir /s /q ..\plugins\com.ibm.btools.blm.ie_6.2.101.v20090724_1314
rmdir /s /q ..\features\com.ibm.btools.blm.ui.feature_6.2.101.v20090724_1314
if errorlevel 1 goto rollbackError
pause
goto end

:existError
echo It appears that the updated plugins from fix file
echo 6.2.0.1-WB-ModelerAdv-MultiOS-TFWICPa.zip have not
echo been copied or the archive has been extracted to
echo the wrong location. Please ensure it has been 
echo extracted to the WepSphere Business Modeler 
echo Advanced 6.2.0.1 Package installation
echo directory, ie. C:\Program Files\IBM\WBModeler62 .
echo Please contact support for further assistance.
pause
goto end


:rollbackError
echo Roll-back failed. Please contact support.
pause

:end