package com.ibm.btools.blm.ie.exprt;

import com.ibm.btools.blm.ie.imprt.ImportMessage;

/*
* Licensed Materials - Property of IBM
* 5724-I74, 5724-I75
*  Copyright IBM Corporation 2004, 2009. All rights reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/

/**
 * The Message for the model export
 */
public class ExportMessage extends ImportMessage{
	
	// copyright	
	static final String copyright = "Licensed Material - Property of IBM " + " 5724-I74, 5724-I75 " + "(C) Copyright IBM Corporation 2004, 2009. All Rights Reserved. " + "U.S. Government Users Restricted Rights - Use, duplication or disclosure " + "restricted by GSA ADP Schedule Contract with IBM Corp.".intern(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$

	/**
	 * The constructor of the message
	 * @param severity
	 * @param message localized message
	 * @param errorCode errorCode of the message
	 */
	public ExportMessage(final int severity, final String message, final String errorCode) {
		super(severity, message);
		setErrorCode(errorCode);
	
	}


}