package com.ibm.btools.te.ilm.heuristics.br.util;
/*
* Licensed Materials - Property of IBM
* 5724-I74, 5724-I75
*  Copyright IBM Corporation 2003, 2009. All rights reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/
import com.ibm.btools.expression.language.serialization.ExpressionSerializationException;


public class BRSerializationException extends ExpressionSerializationException{
	public static final String copyright = "Licensed Material - Property of IBM " + " 5724-I74, 5724-I75 " + "(C) Copyright IBM Corporation 2003, 2009. All Rights Reserved. " + "U.S. Government Users Restricted Rights - Use, duplication or disclosure " + "restricted by GSA ADP Schedule Contract with IBM Corp.".intern(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
	
	public BRSerializationException() {
		super();
	}

	public BRSerializationException(final String eMessage) {
	
		super(eMessage);
	}

	public BRSerializationException(final Throwable exception, final String eMessage, final String eCode, final Object[] params, final String eSeverity, final String eResource, final String eClass, final String eMethod) {
	
		super(exception, eMessage, eCode, params, eSeverity, eResource, eClass, eMethod);
	}	
}
