/**
 * <copyright>
 *
 *    Copyright IBM Corporation 2003, 2009. All rights reserved.
 *
 * </copyright>
 *
 * %W%
 * @version %I% %H%
 */
package com.ibm.btools.te.ilm.model.abstractbpel.impl;
/*
* Licensed Materials - Property of IBM
* 5724-I74, 5724-I75
*  Copyright IBM Corporation 2008, 2009. All rights reserved.
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*/


import java.util.Collection;

import javax.wsdl.extensions.ExtensibilityElement;
import javax.xml.namespace.QName;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;
import org.eclipse.wst.wsdl.WSDLPackage;
import org.w3c.dom.Element;

import com.ibm.btools.te.ilm.model.abstractbpel.AbstractbpelPackage;
import com.ibm.btools.te.ilm.model.abstractbpel.Alternative;
import com.ibm.btools.te.ilm.model.abstractbpel.AlternativeActivity;
import com.ibm.wbit.bpel.BooleanExpression;
import com.ibm.wbit.bpel.Sources;
import com.ibm.wbit.bpel.Targets;
import com.ibm.wbit.bpel.impl.ActivityImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Alternative Activity</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link com.ibm.btools.te.ilm.model.abstractbpel.impl.AlternativeActivityImpl#isRequired <em>Required</em>}</li>
 *   <li>{@link com.ibm.btools.te.ilm.model.abstractbpel.impl.AlternativeActivityImpl#getElementType <em>Element Type</em>}</li>
 *   <li>{@link com.ibm.btools.te.ilm.model.abstractbpel.impl.AlternativeActivityImpl#getAlternative <em>Alternative</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class AlternativeActivityImpl extends ActivityImpl implements AlternativeActivity
{
	/**
	 * The default value of the '{@link #isRequired() <em>Required</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isRequired()
	 * @generated
	 * @ordered
	 */
	protected static final boolean REQUIRED_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isRequired() <em>Required</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isRequired()
	 * @generated
	 * @ordered
	 */
	protected boolean required = REQUIRED_EDEFAULT;

	/**
	 * The default value of the '{@link #getElementType() <em>Element Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getElementType()
	 * @generated
	 * @ordered
	 */
	protected static final QName ELEMENT_TYPE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getElementType() <em>Element Type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getElementType()
	 * @generated
	 * @ordered
	 */
	protected QName elementType = ELEMENT_TYPE_EDEFAULT;

	public static final String copyright = "Licensed Material - Property of IBM " + " 5724-I74, 5724-I75 " + "(C) Copyright IBM Corporation 2003, 2009. All Rights Reserved. " + "U.S. Government Users Restricted Rights - Use, duplication or disclosure " + "restricted by GSA ADP Schedule Contract with IBM Corp.".intern(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
	/**
	 * The cached value of the '{@link #getAlternative() <em>Alternative</em>}' containment reference list.
	 * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
	 * @see #getAlternative()
	 * @generated
	 * @ordered
	 */
  protected EList alternative = null;

	/**
	 * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
	 * @generated
	 */
  protected AlternativeActivityImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
	 * @generated
	 */
  protected EClass eStaticClass() {
		return AbstractbpelPackage.eINSTANCE.getAlternativeActivity();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isRequired() {
		return required;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRequired(boolean newRequired) {
		boolean oldRequired = required;
		required = newRequired;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, AbstractbpelPackage.ALTERNATIVE_ACTIVITY__REQUIRED, oldRequired, required));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public QName getElementType() {
		return elementType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setElementType(QName newElementType) {
		QName oldElementType = elementType;
		elementType = newElementType;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ELEMENT_TYPE, oldElementType, elementType));
	}

	/**
	 * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
	 * @generated
	 */
  public EList getAlternative() {
		if (alternative == null) {
			alternative = new EObjectContainmentEList(Alternative.class, this, AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ALTERNATIVE);
		}
		return alternative;
	}

	/**
	 * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
	 * @generated
	 */
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, Class baseClass, NotificationChain msgs) {
		if (featureID >= 0) {
			switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
				case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__EEXTENSIBILITY_ELEMENTS:
					return ((InternalEList)getEExtensibilityElements()).basicRemove(otherEnd, msgs);
				case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__JOIN_CONDITION:
					return basicUnsetJoinCondition(msgs);
				case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__TARGETS:
					return basicSetTargets(null, msgs);
				case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__SOURCES:
					return basicSetSources(null, msgs);
				case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ALTERNATIVE:
					return ((InternalEList)getAlternative()).basicRemove(otherEnd, msgs);
				default:
					return eDynamicInverseRemove(otherEnd, featureID, baseClass, msgs);
			}
		}
		return eBasicSetContainer(null, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
	 * @generated
	 */
  public Object eGet(EStructuralFeature eFeature, boolean resolve) {
		switch (eDerivedStructuralFeatureID(eFeature)) {
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__DOCUMENTATION_ELEMENT:
				return getDocumentationElement();
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ELEMENT:
				return getElement();
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__EEXTENSIBILITY_ELEMENTS:
				return getEExtensibilityElements();
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__NAME:
				return getName();
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__JOIN_CONDITION:
				return getJoinCondition();
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__SUPPRESS_JOIN_FAILURE:
				return getSuppressJoinFailure();
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__TARGETS:
				return getTargets();
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__SOURCES:
				return getSources();
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__REQUIRED:
				return isRequired() ? Boolean.TRUE : Boolean.FALSE;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ELEMENT_TYPE:
				return getElementType();
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ALTERNATIVE:
				return getAlternative();
		}
		return eDynamicGet(eFeature, resolve);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void eSet(EStructuralFeature eFeature, Object newValue) {
		switch (eDerivedStructuralFeatureID(eFeature)) {
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__DOCUMENTATION_ELEMENT:
				setDocumentationElement((Element)newValue);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ELEMENT:
				setElement((Element)newValue);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__EEXTENSIBILITY_ELEMENTS:
				getEExtensibilityElements().clear();
				getEExtensibilityElements().addAll((Collection)newValue);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__NAME:
				setName((String)newValue);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__JOIN_CONDITION:
				setJoinCondition((BooleanExpression)newValue);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__SUPPRESS_JOIN_FAILURE:
				setSuppressJoinFailure((Boolean)newValue);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__TARGETS:
				setTargets((Targets)newValue);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__SOURCES:
				setSources((Sources)newValue);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__REQUIRED:
				setRequired(((Boolean)newValue).booleanValue());
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ELEMENT_TYPE:
				setElementType((QName)newValue);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ALTERNATIVE:
				getAlternative().clear();
				getAlternative().addAll((Collection)newValue);
				return;
		}
		eDynamicSet(eFeature, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void eUnset(EStructuralFeature eFeature) {
		switch (eDerivedStructuralFeatureID(eFeature)) {
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__DOCUMENTATION_ELEMENT:
				setDocumentationElement(DOCUMENTATION_ELEMENT_EDEFAULT);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ELEMENT:
				setElement(ELEMENT_EDEFAULT);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__EEXTENSIBILITY_ELEMENTS:
				getEExtensibilityElements().clear();
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__NAME:
				setName(NAME_EDEFAULT);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__JOIN_CONDITION:
				unsetJoinCondition();
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__SUPPRESS_JOIN_FAILURE:
				unsetSuppressJoinFailure();
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__TARGETS:
				setTargets((Targets)null);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__SOURCES:
				setSources((Sources)null);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__REQUIRED:
				setRequired(REQUIRED_EDEFAULT);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ELEMENT_TYPE:
				setElementType(ELEMENT_TYPE_EDEFAULT);
				return;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ALTERNATIVE:
				getAlternative().clear();
				return;
		}
		eDynamicUnset(eFeature);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean eIsSet(EStructuralFeature eFeature) {
		switch (eDerivedStructuralFeatureID(eFeature)) {
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__DOCUMENTATION_ELEMENT:
				return DOCUMENTATION_ELEMENT_EDEFAULT == null ? documentationElement != null : !DOCUMENTATION_ELEMENT_EDEFAULT.equals(documentationElement);
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ELEMENT:
				return ELEMENT_EDEFAULT == null ? element != null : !ELEMENT_EDEFAULT.equals(element);
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__EEXTENSIBILITY_ELEMENTS:
				return eExtensibilityElements != null && !eExtensibilityElements.isEmpty();
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__NAME:
				return NAME_EDEFAULT == null ? name != null : !NAME_EDEFAULT.equals(name);
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__JOIN_CONDITION:
				return isSetJoinCondition();
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__SUPPRESS_JOIN_FAILURE:
				return isSetSuppressJoinFailure();
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__TARGETS:
				return targets != null;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__SOURCES:
				return sources != null;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__REQUIRED:
				return required != REQUIRED_EDEFAULT;
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ELEMENT_TYPE:
				return ELEMENT_TYPE_EDEFAULT == null ? elementType != null : !ELEMENT_TYPE_EDEFAULT.equals(elementType);
			case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ALTERNATIVE:
				return alternative != null && !alternative.isEmpty();
		}
		return eDynamicIsSet(eFeature);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public int eBaseStructuralFeatureID(int derivedFeatureID, Class baseClass) {
		if (baseClass == ExtensibilityElement.class) {
			switch (derivedFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == org.eclipse.wst.wsdl.ExtensibilityElement.class) {
			switch (derivedFeatureID) {
				case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__REQUIRED: return WSDLPackage.EXTENSIBILITY_ELEMENT__REQUIRED;
				case AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ELEMENT_TYPE: return WSDLPackage.EXTENSIBILITY_ELEMENT__ELEMENT_TYPE;
				default: return -1;
			}
		}
		return super.eBaseStructuralFeatureID(derivedFeatureID, baseClass);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public int eDerivedStructuralFeatureID(int baseFeatureID, Class baseClass) {
		if (baseClass == ExtensibilityElement.class) {
			switch (baseFeatureID) {
				default: return -1;
			}
		}
		if (baseClass == org.eclipse.wst.wsdl.ExtensibilityElement.class) {
			switch (baseFeatureID) {
				case WSDLPackage.EXTENSIBILITY_ELEMENT__REQUIRED: return AbstractbpelPackage.ALTERNATIVE_ACTIVITY__REQUIRED;
				case WSDLPackage.EXTENSIBILITY_ELEMENT__ELEMENT_TYPE: return AbstractbpelPackage.ALTERNATIVE_ACTIVITY__ELEMENT_TYPE;
				default: return -1;
			}
		}
		return super.eDerivedStructuralFeatureID(baseFeatureID, baseClass);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (required: ");
		result.append(required);
		result.append(", elementType: ");
		result.append(elementType);
		result.append(')');
		return result.toString();
	}

  public Boolean getRequired(){
  	return new Boolean(required);
  	
  }
  
  public void setRequired(Boolean required){
  	this.required = required.booleanValue();
  }

} //AlternativeActivityImpl
